Subject: [DNSOP] Comments on draft-ietf-dnsop-dnssec-dps-framework-02

From: Stephen Morris <[email-masked]>
Date: Thu, 30 Sep 2010 16:39:18 +0100

(Hat off)

I've had a look at draft-ietf-dnsop-dnssec-dps-framework-02 and have the following main comments:

Section 4.4 Facility, Management and Operational Controls
There is a lot in here about disaster recovery planning that an organisation should already have documented.  Ought this document simply concentrate on the DNSSEC aspects and just assume that such plans exist?

Section 4.8, Legal Matters
I can't help feeling that the section goes well beyond the scope of what should be in a DNSSEC policy statement.  A lot of this would be applicable to any contract between two parties, so does it really belong in this draft?

There were a number of other issues about phrasing and typos - I have sent those directly to the editors.

(Hat on)

The working group adopted the draft last year but since then there has been little discussion of it on the list.  With DNSSEC at last looking as if it is really starting to take off, this is a timely document.  Please have a look at it and give feedback.

Stephen